%define anolis_release 1

Name: 		nss-mdns
Version: 	0.15.1
Release: 	%{anolis_release}%{?dist}
Summary: 	glibc plugin for .local name resolution
License: 	LGPLv2+
URL: 		https://github.com/lathiat/nss-mdns
Source0: 	https://github.com/lathiat/nss-mdns/releases/download/v%{version}/nss-mdns-%{version}.tar.gz

Patch1:  	nss-mdns-local-heuristic.patch
Patch2:  	nss-mdns-local-heuristic-unit.patch

BuildRequires: 	make gcc pkgconfig(check)
Requires: 	avahi authselect

%description
nss-mdns is a plugin for the GNU Name Service Switch (NSS) functionality of
the GNU C Library (glibc) providing host name resolution via Multicast DNS
(aka Zeroconf, aka Apple Rendezvous, aka Apple Bonjour), effectively allowing
name resolution by common Unix/Linux programs in the ad-hoc mDNS domain .local.

nss-mdns provides client functionality only, which means that you have to
run a mDNS responder daemon separately from nss-mdns if you want to register
the local host name via mDNS (e.g. Avahi).

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --libdir=/%{_lib}
%make_build

%check
make check || (cat ./test-suite.log; false)

%install
%make_install
%generate_compatibility_deps

%post
%{?ldconfig}

%posttrans
authselect enable-feature with-mdns4 &> /dev/null || :

%preun
authselect disable-feature with-mdns4 &> /dev/null || :

%ldconfig_postun

%files
%license LICENSE
/%{_lib}/*.so.*
%dir %{abidir}
%{abidir}/libnss_mdns*.dump

%files doc
%doc README.md NEWS.md ACKNOWLEDGEMENTS.md

%changelog
* Wed May 10 2023 happy_orange <songnannan@linux.alibaba.com> - 0.15.1-1
- init package
